UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.LBMContextEvent Class Reference

Encapsulates LBM Context Events. More...

## Public Member Functions
| LBMContextEvent ()
| Create an empty LBM Context Event.
virtual int | type ()
| LBM Context Event Type. More...
virtual System.String | dataString ()
| Error string associated with this event. This event may not be valid for all event types. More...
virtual UMQContextEventRegistrationSuccessInfo | registrationSuccessInfo ()
| Registration success info object associated with this event. This event may not be valid for all event types. More...
virtual UMQContextEventRegistrationCompleteInfo | registrationCompleteInfo ()
| Registration complete info object associated with this event. This event may not be valid for all event types. More...

## Detailed Description

Encapsulates LBM Context Events.

## Member Function Documentation

virtual System.String com.latencybusters.lbm.LBMContextEvent.dataString | ( |  | ) |
| virtual

Error string associated with this event. This event may not be valid for all event types.

See also
  LBM

Returns
  Error string

virtual UMQContextEventRegistrationCompleteInfo com.latencybusters.lbm.LBMContextEvent.registrationCompleteInfo | ( |  | ) |
| virtual

Registration complete info object associated with this event. This event may not be valid for all event types.

See also
  LBM

Returns
  UMQContextEventRegistrationCompleteInfo object

References com.latencybusters.lbm.LBM.UME_MAX_STORE_STRLEN, and com.latencybusters.lbm.LBM.UMQ_MAX_QUEUE_STRLEN.

virtual UMQContextEventRegistrationSuccessInfo com.latencybusters.lbm.LBMContextEvent.registrationSuccessInfo | ( |  | ) |
| virtual

Registration success info object associated with this event. This event may not be valid for all event types.

See also
  LBM

Returns
  UMQContextEventRegistrationSuccessInfo object

virtual int com.latencybusters.lbm.LBMContextEvent.type | ( |  | ) |
| virtual

LBM Context Event Type.

See also
  LBM

Returns
  LBM Context Event type

The documentation for this class was generated from the following file:

- LBMContextEvent.cs